package org.expressolivre.cte.email.compor;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailPage;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-527:Enviar mensagem com solicitacao de leitura
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-527
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 5, 2011 at 2:52:47 PM
 * 
 */
public class EnviarEmailConfirmacaoLeituraTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia mensagem para email, assunto e texto pre-definidos
	 * no arquivo de configuracao com confirmacao de leitura. Apos envio,
	 * verifica se o email foi movido para a pasta de emails enviados.
	 */
	@Test
	public void enviarEmailComConfirmacaoLeitura() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_LEITURA,
				EMAIL_TEXTO_LEITURA);
		mp.checkReturnReceipt();
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
				EMAIL_ASSUNTO_LEITURA));
	}

}
