package org.expressolivre.cte.email.compor;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailPage;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-526:Enviar mensagem com copia oculta
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-526
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 5, 2011 at 9:55:14 AM
 * 
 */
public class EnviarEmailCopiaOcultaTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia mensagem para email, assunto e texto pre-definidos
	 * no arquivo de configuracao com copia oculta. Apos envio, verifica se o
	 * email foi movido para a pasta de emails enviados.
	 */
	@Test
	public void enviarEmailComCopiaOculta() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_COPIA_OCULTA,
				EMAIL_ASSUNTO_COPIA_OCULTA);
		mp.setBlindCarbonCopy(EMAIL_TESTE_2);
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
				EMAIL_ASSUNTO_COPIA_OCULTA));
	}

}
