package org.expressolivre.cte.email.compor;

import java.io.IOException;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.common.IOUtil;
import org.expressolivre.cte.pages.email.MailPage;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-538:Enviar mensagem com corpo superior a 100kb
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-538
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Mai 9, 2011 at 2:41:14 PM
 * 
 */
public class EnviarEmailCorpo100TestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia mensagem para email, assunto e texto superior a
	 * 100kb. Apos envio, verifica se o email foi movido para a pasta de emails
	 * enviados.
	 * 
	 * @throws IOException
	 */
	@Test
	public void enviarEmailComCorpoMaior100k() throws IOException {

		String text = IOUtil.readFully(EnviarEmailCorpo100TestCase.class
				.getResourceAsStream("/texto100k.txt"));
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_TEXTO_100k, text);
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
				EMAIL_ASSUNTO_TEXTO_100k));
	}
}
