package org.expressolivre.cte.email.compor;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailPage;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-530:Enviar mensagem com multiplos anexos
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-530
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 18, 2011 at 9:02:46 AM
 * 
 */
public class EnviarEmailMultiplosAnexosTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia um email com multiplos anexos. Apos envio,
	 * verifica se o email foi movido para a pasta de emails enviados.
	 */
	@Test
	public void enviarEmailComMultiplosAnexos() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_MULTIPLOS_ANEXOS,
				EMAIL_TEXTO_MULTIPLOS_ANEXOS);
		mp.addAttachment(ANEXO_1);
		mp.addAttachment2(ANEXO_2);
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
				EMAIL_ASSUNTO_MULTIPLOS_ANEXOS));
	}

}
