package org.expressolivre.cte.email.compor;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailPage;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-524:Enviar mensagem para multiplos destinatarios
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-524
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 18, 2011 at 9:24:40 AM
 * 
 */
public class EnviarEmailMultiplosDestinatariosTestCase extends
		BaseEmailTestCase {

	/**
	 * Executa o teste. Envia um email para multiplos destinatarios. Apos envio,
	 * verifica se o email foi movido para a pasta de emails enviados.
	 */
	@Test
	public void enviarEmailParaMultiplosDestinatarios() {
		mp.composeEmail(EMAIL_TESTE_N_DESTINATARIOS,
				EMAIL_ASSUNTO_MULTIPLOS_DESTINATARIOS,
				EMAIL_TEXTO_MULTIPLOS_DESTINATARIOS);
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
				EMAIL_ASSUNTO_MULTIPLOS_DESTINATARIOS));

	}

}
