package org.expressolivre.cte.email.compor;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailPage;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-539:Enviar mensagem salva a partir da pasta Rascunhos
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-539
 * 
 * @see org.expressolivre.cte.email.compor.SalvarEmailTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Feb 3, 2011 at 9:23:16 AM
 * 
 */
public class EnviarEmailRascunhoTestCase extends BaseEmailTestCase {

	/**
	 * Esse caso de teste eh dependente do SalvarEmailTestCase. Apos envio,
	 * verifica se o email foi movido para a pasta de emails enviados.
	 */
	@Test
	public void enviarEmailRascunho() {
		mp.openFolder("lINBOX/Draftstree_folders");
		String id = mp.readEmail(EMAIL_ASSUNTO_SALVAR);
		mp.editEmail();
		mp.sendMail(id);
		mp.assertMessage(MSG_EMAIL_ENVIADO);
		mp.closeMail(id + "_r", false);
		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
				EMAIL_ASSUNTO_SALVAR));
	}
}
