package org.expressolivre.cte.email.compor;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailPage;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-537:Enviar mensagem com somente destinatarios em copia
 * oculta
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-537
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 18, 2011 at 9:31:01 AM
 * 
 */
public class EnviarEmailSomenteCopiaOcultaTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Apos envio, verifica se o email foi movido para a pasta
	 * de emails enviados.
	 */
	@Test
	public void enviarEmailSomenteCopiaOculta() {
		mp.createNewEmail();
		mp.setBlindCarbonCopy(EMAIL_TESTE_1);
		mp.setSubject(EMAIL_ASSUNTO_SOMENTE_COPIA_OCULTA);
		mp.setBody(EMAIL_TEXTO_SOMENTE_COPIA_OCULTA);
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
				EMAIL_ASSUNTO_SOMENTE_COPIA_OCULTA));
	}
}
