package org.expressolivre.cte.email.compor;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.email.MailPage;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-545:Remover anexo da mensagem
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-545
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Mai 11, 2011 at 9:35:11 AM
 * 
 */
public class RemoverAnexoTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Envia mensagem para email, assunto, texto e anexo
	 * pre-definidos no arquivo de configuracao. Apos envio, verifica se o email
	 * foi movido para a pasta de emails enviados.
	 */
	@Test
	public void enviarEmailRemovendoAnexo() {
		mp.composeEmail(EMAIL_TESTE_1, EMAIL_ASSUNTO_ANEXO, EMAIL_TEXTO_ANEXO);
		mp.addAttachment(ANEXO_1);
		mp.removeAttachment();
		mp.sendMail();
		mp.assertMessage(MSG_EMAIL_ENVIADO);
		Assert.assertNotNull(mp.findEmailIdBySubject(MailPage.SENT_FOLDER,
				EMAIL_ASSUNTO_ANEXO));

	}

}
