package org.expressolivre.cte.email.compor;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.1] Compor Mensagem
 * 
 * Caso de Teste: EL-1153:Salvar mensagem somente cópia
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1153
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Feb 21, 2011 at 2:21:02 PM
 * 
 */
public class SalvarEmailSomenteCopiaTestCase extends BaseEmailTestCase {

	/**
	 * Compoe uma mensagem e salva no rascunho para posterior envio.
	 */
	@Test
	public void salvarEmailSomenteCopia() {
		mp.composeEmail("", EMAIL_ASSUNTO_SALVAR_SOMENTE_COPIA,
				EMAIL_TEXTO_SALVAR_SOMENTE_COPIA);
		mp.setCarbonCopy(EMAIL_TESTE_1);
		mp.saveEmail();
		mp.assertMessage(MSG_EMAIL_RASCUNHO);
		mp.closeMail(false);

		// Vai para a pasta Rascunhos e localiza email salvo.
		mp.openFolder("lINBOX/Draftstree_folders");
		String id = mp.readEmail(EMAIL_ASSUNTO_SALVAR_SOMENTE_COPIA);
		mp.editEmail(id);

		// Verifica integridade dos campos.
		Assert.assertEquals("", mp.getTo(id).getValue());
		Assert.assertEquals(EMAIL_ASSUNTO_SALVAR_SOMENTE_COPIA,
				mp.getSubject(id).getValue());
		Assert.assertEquals(EMAIL_TESTE_1, mp.getCarbonCopy(id).getValue());
		String body = mp.getBody(id).toString();
		// Retirar o <span></span> que é colocado no momento de visualizar o
		// email para edicao.
		int spanOpen = body.indexOf("<span>") + 7;
		int spanClose = body.lastIndexOf("</span>") - 1;
		body = body.substring(spanOpen, spanClose).trim();

		Assert.assertEquals(EMAIL_TEXTO_SALVAR_SOMENTE_COPIA, body);

		mp.closeMail(id, true);
	}

}
