package org.expressolivre.cte.email.ler;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.2] Ler mensagem
 * 
 * Caso de Teste:
 * 
 * EL-1145:Bloquear usuario - excluir
 * 
 * EL-1148:Bloquear usuario - duplicidade
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1145
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1148
 * 
 * @see org.expressolivre.cte.email.compor.EnviarEmailTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 12, 2011 at 2:22:00 PM
 * 
 */
public class BloquearUsuarioTestCase extends BaseEmailTestCase {

	/**
	 * Executa o teste. Apenas procura o email previamente enviado e tenta
	 * abrir.
	 */
	@Test
	public void bloquearRemetente() {
		String id = mp.readEmail(EMAIL_ASSUNTO);
		mp.showDetails(id);
		mp.blockRecipient(MSG_REMETENTE_BLOQUEAR);
		mp.assertMessage(MSG_REMETENTE_BLOQUEADO);
	}

	@Test
	public void bloquearRemetenteNovamente() {
		String id = mp.readEmail(EMAIL_ASSUNTO);
		mp.showDetails(id);
		mp.blockRecipient(MSG_REMETENTE_JA_BLOQUEADO);
	}

	@Test
	public void desbloquearRemetente() {
		mp.editFilter();
		mp.deleteRule(0);
	}

}
