package org.expressolivre.cte.email.listar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.testng.annotations.DataProvider;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.3] Listar Mensagem
 * 
 * Caso de Teste: EL-580:Apagar 1 mensagem
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-580
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 6, 2011 at 9:07:40 AM
 * 
 */
public class ApagarEmailSelecionadoTestCase extends BaseEmailTestCase {

	private void deleteEmail(String subject) {
		mp.findEmailIdBySuject(subject, true);
		mp.deleteEmail();
		mp.assertMessage(MSG_EMAIL_APAGAR_MENSAGEM);
	}

	@Parameters({ "folder", "subject" })
	@Test(enabled = false)
	public void apagarEmailSelecionado(String folder, String subject) {
		mp.openFolder(folder);
		this.deleteEmail(subject);
	}

	@Test(dataProvider = "theTestData")
	public void deleteEmail(String folder, String subject) {
		mp.openFolder(folder);
		this.deleteEmail(subject);
	}

	@DataProvider(name = "theTestData")
	public Object[][] createData1() {
		return new Object[][] { { "lINBOXtree_folders", EMAIL_ASSUNTO },
				{ "lINBOXtree_folders", EMAIL_ASSUNTO_LEITURA } };
	}
}
