package org.expressolivre.cte.email.listar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.testng.Assert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.3] Listar Mensagens
 * 
 * Caso de Teste: EL-575:Listar mensagens importantes
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-575
 * 
 * @see org.expressolivre.cte.email.compor.EnviarEmailImportanteTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 19, 2011 at 10:43:10 AM
 * 
 */
public class ListarEmailsImportantesTestCase extends BaseEmailTestCase {

	/**
	 * Filtra apenas as mensagens importantes da Caixa de Entrada.
	 * 
	 * @throws Exception
	 */
	@Test
	public void listarEmailsImportantes() throws Exception {
		mp.setImportantFilter();

		// TODO Deve ter um jeito melhor de fazer isso, mas nao consegui pegar o
		// numero total de mensagens apos filtrar pelas mensagens importantes.
		// Se nao colocar o comando abaixo, ele continua pegando o numero de
		// mensagens totais e nao apenas as importantes.
		super.dummyWait();

		// Busca todos os IDs dos emails apos aplicar o filtro "Importante".
		String[] t = mp.getEmailIds();

		System.out.println("Total msgs importantes: " + t.length);

		boolean ok = true;
		// Verifica se todas as mensagens estao marcadas como "Importante".
		for (int i = 0; i < t.length; i++) {
			if (!mp.isImportant(t[i])) {
				ok = false;
				break;
			}

		}
		Assert.assertTrue(ok);

	}
}
