package org.expressolivre.cte.email.listar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.3] Listar Mensagem
 * 
 * Caso de Teste: EL-583:Mover mensagem
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-583
 * 
 * @see org.expressolivre.cte.email.pastas.CriarPastaTestCase
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 19, 2011 at 2:55:01 PM
 * 
 */
public class MoverEmailSelecionadoTestCase extends BaseEmailTestCase {

	/**
	 * Move mensagem para uma pasta de teste previamente criada.
	 */
	@Test
	public void moverEmailSelecionado() {
		// Cria pasta de teste para mover o email.
		mp.createNewFolder(EMAIL_PASTA_TESTE);

		// Procura o email e move a mensagem para pasta de teste criada.
		mp.findEmailIdBySuject(EMAIL_ASSUNTO, true);
		mp.moveEmail(EMAIL_PASTA_TESTE);
		mp.assertMessage(MSG_EMAIL_MOVIDO);

		// Apaga pasta de teste.
		mp.deleteFolder(EMAIL_PASTA_TESTE, false);
		mp.assertMessage(MSG_EMAIL_PASTA_REMOVIDA);
	}
}
