package org.expressolivre.cte.email.pastas;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.openqa.selenium.Alert;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.6] Gerenciar Pastas
 * 
 * Caso de Teste: EL-615:Renomear pasta
 * 
 * Caso de Teste: EL-610:Visualizar pastas
 * 
 * Caso de Teste: EL-1167:Renomear pasta em uso
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-615
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-610
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1167
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 16, 2011 at 2:48:53 PM
 * 
 */
public class RenomearPastaTestCase extends BaseEmailTestCase {

	@Test
	public void renomearPasta() {
		mp.renameFolder(EMAIL_PASTA_TESTE, EMAIL_PASTA_TESTE2);
		mp.renameFolder(EMAIL_PASTA_TESTE2, EMAIL_PASTA_TESTE);
	}

	@Test
	public void renomearPastaEmUso() throws Exception {
		mp.openFolder("lINBOX/Seleniumtree_folders", false);
		mp.renameFolderInUse(EMAIL_PASTA_TESTE);
	}

	/**
	 * TODO Criar array com nomes invalidos e repetir o teste n vezes.
	 */
	@Test
	public void renomearPastaComCaracterEspecial() {
		mp.createNewFolder("pasta1/pasta2");
		Alert newFolder = driver.switchTo().alert();
		assert "Erro ao criar a pasta. Certifique-se de que não tentou criá-la com um nome que contém a palavra \"local_\" ou que possui algum caractere especial."
				.equals(newFolder.getText());
		newFolder.accept();
	}

}
