package org.expressolivre.cte.email.pesquisar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.common.Config;
import org.testng.annotations.Test;

/**
 * Suite:[FUN02.8] Pesquisar Mensagens
 * 
 * Caso de Teste: EL-618:Pesquisa avancada de mensagens
 * 
 * Caso de Teste: EL-1201:Pesquisar mensagens sem retornar resultado
 * 
 * Caso de Teste: EL-1202:Pesquisar mensagens por assunto com acento
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-618
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1201
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1202
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on May 25, 2011 at 11:04:23 AM
 * 
 */
public class PesquisarEmailPorAssuntoTestCase extends BaseEmailTestCase {

	/**
	 * @see org.expressolivre.cte.email.compor.EnviarEmailTestCase
	 */
	@Test
	public void pesquisaEmailPorAssuntoComResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.setSearchSubject(EMAIL_ASSUNTO);
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"1"));
	}

	/**
	 * @see org.expressolivre.cte.email.compor.EnviarEmailTestCase
	 */
	@Test
	public void pesquisaEmailPorAssuntoComAcentoResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.setSearchSubject(EMAIL_ASSUNTO_ACENTO);
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"1"));
	}

	@Test
	public void pesquisaEmailPorAssuntoSemResultado() {
		mp.openSearchMessageWindow();
		mp.setSearchFolders("lINBOX_folders_tree_search");
		mp.setSearchSubject("assunto não encontrado");
		mp.doSearch();
		mp.assertMessage(Config.getInstance().getMensagem("resultado.pesquisa",
				"0"));
	}

}
